local L = LibStub("AceLocale-3.0"):GetLocale("FriendlyArrow", false)

-- Config options
FriendlyArrowConfig = { 
  type='group',
  name = L["FriendlyArrow"],
  desc = L["Display an arrow that points to a player in your party or raid"],
  args = {
    General = {
      order = 1,
      type = "group",
      name = L["General Options"],
      desc = L["General Options"],
      args = {
        ShowChatText = {
          order = 1,
          type = 'toggle',
          name = L["Chat events"],
          desc = L["Show when tracking is toggled as text in the chat frame"],
          get = function ()
            return FriendlyArrow.db.profile.ShowChatText
          end,
          set = function (i, arg)
            FriendlyArrow.db.profile.ShowChatText = arg
          end
        },
        ToggleOnRange = {
          order = 2,
          type = 'toggle',
          name = L["Toggle on range"],
          desc = L["Toggle the arrow off when the tracked target is in range, when range checking is set."],
          get = function ()
            return FriendlyArrow.db.profile.ToggleOnRange
          end,
          set = function (i, arg)
            FriendlyArrow.db.profile.ToggleOnRange = arg
          end
        },
        StickyKeyToggle = {
          order = 3,
          type = 'toggle',
          name = L["Sticky Keybind Toggle"],
          desc = L["If a keybind is used to toggle tracking, only a key bind (not a slash command) can untoggle it."],
          get = function ()
            return FriendlyArrow.db.profile.StickyKeyToggle
          end,
          set = function (i, arg)
            FriendlyArrow.db.profile.StickyKeyToggle = arg
          end
        },
        --[===[@debug@
        spacer1 = {
          order = 4,
          type = "description",
          name = "",
        },
        ShowDebugText = {
          order = 5,
          type = 'toggle',
          name = "Show debug text",
          desc = "",
          get = function ()
            return FriendlyArrow.db.profile.ShowDebugText
          end,
          set = function (i, arg)
            FriendlyArrow.db.profile.ShowDebugText = arg
          end
        },
        --@end-debug@]===]
      },
    },
  },
}

-- Config defaults
FriendlyArrowDefaultConfigDB = {
  profile = {
    ShowChatText = true,
    ToggleOnRange = true,
    StickyKeyToggle = true,
  }
}
